Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.states
Interface CIBOperationalStatusState

All Superinterfaces:
  CIBProvider, CIBState

All Known Implementing Classes:
  CIBOperationalStatusStateImpl

public interface CIBOperationalStatusState
extends CIBState

The State model specifies the attributes that a compliant JES managed object must implement. A managed object (MBean) which implements the State model could generate events when the operational status changes of state.

Field Summary
`static int` | `FAILED` Indicates that the managed object has unexpectedly stopped.
`static int` | `RUNNING` Indicates that the managed object is operational and ready to handle requests.
`static int` | `STARTING` Indicates that the managed object has been requested to start, and is in the process of starting.
`static int` | `STOPPED` Indicates that the monitoring object has stopped and can be restarted.
`static int` | `STOPPING` Indicates that the managed object has entered a quiet state resulting from an administrative stop request.

Method Summary
`long` | `getStartTime()` Returns the time the managed object was started.

Methods inherited from interface com.sun.mfwk.cib.states.CIBState
`getLastChange, getState, toStateString`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### STARTING

    public static final int STARTING

  Indicates that the managed object has been requested to start, and is in the process of starting. On entering that state, the managed object may generate an event. Support of the STARTING state is optional for all managed objects implementing the StateManageable model.

  See Also:
    Constant Field Values

### RUNNING

    public static final int RUNNING

  Indicates that the managed object is operational and ready to handle requests. On entering this state, a managed object may generate an event . Support of the RUNNING state is required for all managed objects implementing the StateManageable model.

  See Also:
    Constant Field Values

### STOPPING

    public static final int STOPPING

  Indicates that the managed object has entered a quiet state resulting from an administrative stop request. The managed object is no longer operational and may not be able to handle further requests. On entering this state, a managed object may generate an event. Support of the STOPPING state is optional for the managed objects supporting the StateManageable model.

  See Also:
    Constant Field Values

### STOPPED

    public static final int STOPPED

  Indicates that the monitoring object has stopped and can be restarted. On entering this state the managed object may generate an event. Support of the STOPPED state is required by all managed objects implementing the StateManageable model.

  See Also:
    Constant Field Values

### FAILED

    public static final int FAILED

  Indicates that the managed object has unexpectedly stopped. On entering this state the managed object may generate an event. Support of the FAILED state is required by all managed objects implementing the StateManageable model.

  See Also:
    Constant Field Values

Method Detail

### getStartTime

    public long getStartTime()
                      throws CIBIOException,
                             CIBAttributeNotFoundException

  Returns the time the managed object was started. (i.e. entered the RUNNING state) represented as a Double, which value is the number of milliseconds since January 1, 1970, 00:00:00.

  Returns:
    long
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD